part of 'generated.dart';

class ListApplicationsForNoShowRangeVariablesBuilder {
  List<String> shiftIds;

  final FirebaseDataConnect _dataConnect;
  ListApplicationsForNoShowRangeVariablesBuilder(this._dataConnect, {required  this.shiftIds,});
  Deserializer<ListApplicationsForNoShowRangeData> dataDeserializer = (dynamic json)  => ListApplicationsForNoShowRangeData.fromJson(jsonDecode(json));
  Serializer<ListApplicationsForNoShowRangeVariables> varsSerializer = (ListApplicationsForNoShowRangeVariables vars) => jsonEncode(vars.toJson());
  Future<QueryResult<ListApplicationsForNoShowRangeData, ListApplicationsForNoShowRangeVariables>> execute() {
    return ref().execute();
  }

  QueryRef<ListApplicationsForNoShowRangeData, ListApplicationsForNoShowRangeVariables> ref() {
    ListApplicationsForNoShowRangeVariables vars= ListApplicationsForNoShowRangeVariables(shiftIds: shiftIds,);
    return _dataConnect.query("listApplicationsForNoShowRange", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class ListApplicationsForNoShowRangeApplications {
  final String id;
  final String shiftId;
  final String staffId;
  final EnumValue<ApplicationStatus> status;
  ListApplicationsForNoShowRangeApplications.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']),
  shiftId = nativeFromJson<String>(json['shiftId']),
  staffId = nativeFromJson<String>(json['staffId']),
  status = applicationStatusDeserializer(json['status']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final ListApplicationsForNoShowRangeApplications otherTyped = other as ListApplicationsForNoShowRangeApplications;
    return id == otherTyped.id && 
    shiftId == otherTyped.shiftId && 
    staffId == otherTyped.staffId && 
    status == otherTyped.status;
    
  }
  @override
  int get hashCode => Object.hashAll([id.hashCode, shiftId.hashCode, staffId.hashCode, status.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    json['shiftId'] = nativeToJson<String>(shiftId);
    json['staffId'] = nativeToJson<String>(staffId);
    json['status'] = 
    applicationStatusSerializer(status)
    ;
    return json;
  }

  ListApplicationsForNoShowRangeApplications({
    required this.id,
    required this.shiftId,
    required this.staffId,
    required this.status,
  });
}

@immutable
class ListApplicationsForNoShowRangeData {
  final List<ListApplicationsForNoShowRangeApplications> applications;
  ListApplicationsForNoShowRangeData.fromJson(dynamic json):
  
  applications = (json['applications'] as List<dynamic>)
        .map((e) => ListApplicationsForNoShowRangeApplications.fromJson(e))
        .toList();
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final ListApplicationsForNoShowRangeData otherTyped = other as ListApplicationsForNoShowRangeData;
    return applications == otherTyped.applications;
    
  }
  @override
  int get hashCode => applications.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['applications'] = applications.map((e) => e.toJson()).toList();
    return json;
  }

  ListApplicationsForNoShowRangeData({
    required this.applications,
  });
}

@immutable
class ListApplicationsForNoShowRangeVariables {
  final List<String> shiftIds;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  ListApplicationsForNoShowRangeVariables.fromJson(Map<String, dynamic> json):
  
  shiftIds = (json['shiftIds'] as List<dynamic>)
        .map((e) => nativeFromJson<String>(e))
        .toList();
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final ListApplicationsForNoShowRangeVariables otherTyped = other as ListApplicationsForNoShowRangeVariables;
    return shiftIds == otherTyped.shiftIds;
    
  }
  @override
  int get hashCode => shiftIds.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['shiftIds'] = shiftIds.map((e) => nativeToJson<String>(e)).toList();
    return json;
  }

  ListApplicationsForNoShowRangeVariables({
    required this.shiftIds,
  });
}

